<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class MY_Controller extends CI_Controller {

	public $data = array();

    public function __construct()
    {
        parent::__construct();
        
        $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
       
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');
        
         $this->db->select('*');
        $this->db->from('type_web_pages w');
        $this->db->where('w.domain_id',$domain_id);
        $s = $this->db->get();
        $result = $s->row();
        
        $this->data['meta_index'] = $result->meta_index;
        $this->data['search_console_code'] = $result->search_console_code;
        // $this>data['og_image'] ='https://uae-offplan.com/admin.uae-offplan/'.$result->type_cover_image;
        $this->data['g_tag'] = $result->google_analytics_id;
        $this->data['gtm_tag'] = $result->google_tag_manager;
        $this->data['favicon'] = 'https://uae-offplan.com/admin.uae-offplan/'.$result->favicon;
        $this->data['hotjar'] = "
<script>
    (function(h,o,t,j,a,r){
        h.hj=h.hj||function(){(h.hj.q=h.hj.q||[]).push(arguments)};
        h._hjSettings={hjid:5086522,hjsv:6};
        a=o.getElementsByTagName('head')[0];
        r=o.createElement('script');r.async=1;
        r.src=t+h._hjSettings.hjid+j+h._hjSettings.hjsv;
        a.appendChild(r);
    })(window,document,'https://static.hotjar.com/c/hotjar-','.js?sv=');
</script>";
         
    }

}
