<?php
defined('BASEPATH') OR exit('No direct script access allowed');


class Sitemap_for_type_web_pages extends CI_Controller {


   function index()
    {
       
        // $domain = str_replace(['https://','/'],'',base_url());
        $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
        
        // $domain = 'apartments-dubai.com';
        
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');

        
        $this->db->select('w. sub_domain');
        $this->db->from('sub_domain_info w');
        $this->db->join('type_web_pages t', 't.domain_id = w.domain_id');
        $this->db->join('type_web_pages_domain_list d', 'd.domain_id = w.domain_id');
        $this->db->where('w.domain_id',$domain_id);
        $d = $this->db->get();
        
        // Start sitemap XML content
        $sitemapContent = '<urlset xmlns="http://www.sitemaps.org/schemas/sitemap/0.9" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.sitemaps.org/schemas/sitemap/0.9 http://www.sitemaps.org/schemas/sitemap/0.9/sitemap.xsd">';
        
        // $sitemapContent .= '<sitemapindex xmlns="http://www.sitemaps.org/schemas/sitemap/0.9">';
        
        $sitemapContent .= '<url>';
            // $sitemapContent .= '<url>';
            $sitemapContent .= '<loc>' . base_url() . '</loc>'; // Replace 'url' with your column name
            $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>'; // Replace 'last_modified' with your column name
            // $sitemapContent .= '<changefreq>daily</changefreq>';
            // $sitemapContent .= '<priority>0.8</priority>';
            // $sitemapContent .= '</url>';
            $sitemapContent .= '</url>';

        // Loop through data and create URL entries
        // foreach ($d->result_array() as $item) {
        //     $sitemapContent .= '<url>';
        //     $sitemapContent .= '<loc>' . htmlspecialchars('https://'.$item['sub_domain']) . '</loc>'; 
        //     $sitemapContent .= '<lastmod>' . date('c',time()) . '</lastmod>'; 
        //     $sitemapContent .= '</url>';
        // }

        $sitemapContent .= '</urlset>';
        // $sitemapContent .= '</sitemapindex>';
    //   $filePath = APPPATH . 'views/sitemap.xml';
        // file_put_contents($filePath, $sitemapContent);
        
        // Set headers to display sitemap.xml directly
        header('Content-Type: application/xml');
        echo $sitemapContent;

    }
    
    public function generate_robots() {
        $robotsContent = "User-agent:*\n";
        // $robotsContent .= "\n\n\n";
        $robotsContent .= "Disallow: /detail";
        $robotsContent .= "\n\n\nAllow: /\n\n\n".'Sitemap: https://'.$_SERVER['HTTP_HOST'].'/sitemap2.xml';
        
        
         // Save sitemap.xml file
        // $filePath = dirname(FCPATH) . '/robots.txt';
        // file_put_contents($filePath, $robotsContent);

        header('Content-Type: text/plain');
        echo $robotsContent;
    }
}