<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <!-- Include other static meta tags or links as needed -->
    
    <link rel="icon" href="<?=$data['favicon']?>" />
        <title><?=$data['meta_title']?></title>
        <meta name="description" content="<?=$data['meta_desc']?>" />
        <meta name="robots" content="<?=$data['meta_index']?>" />
        <meta name="google-site-verification" content="<?=$data['search_console_code']?>" />
        <meta name="keywords" content="<?=$data['meta_keywords']?>"/>
        <meta property="og:url" content="<?=current_url()?>" />
        <meta property="og:title" content="<?=$data['meta_title']?>" />
        <meta property="og:description" content="<?=$data['meta_desc']?>" />
        <meta property="og:type" content="website" />
        <meta property="og:image" content="<?=$data['cover_image']?>" />
        <link rel="canonical" href="<?=current_url()?>" />
        <meta property="og:image:width" content="200" />
        <meta property="og:image:height" content="200" />
        <meta property="og:image:type" content="image/webp" />
        <meta name="twitter:card" content="summary_large_image" />

        <script async src="https://www.googletagmanager.com/gtag/js?id=<?=$data['g_tag']?>"></script>
        <script>
          {`
            window.dataLayer = window.dataLayer || [];
            function gtag() { dataLayer.push(arguments); }
            gtag('js', new Date());
            gtag('config', '<?=$data['g_tag']?>');
          `}
        </script>
        
        <!-- Google Tag Manager -->
<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
'https://www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
})(window,document,'script','dataLayer','<?=$data['gtm_tag']?>');</script>
<!-- End Google Tag Manager -->

</head>
<body>
    <!-- Google Tag Manager (noscript) -->
<noscript><iframe src="https://www.googletagmanager.com/ns.html?id=<?=$data['gtm_tag']?>"
height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
<!-- End Google Tag Manager (noscript) -->


    <div id="root"></div>
    <script type="module" crossorigin src="/assets/index-A3NiMbOt.js"></script>
    <link rel="stylesheet" crossorigin href="/assets/index-CPUDo7XA.css">
    <!--<script src="/static/js/main.9520e19d.js"></script>-->
    <!--<link rel="stylesheet" href="/static/css/main.4d861844.css">-->
</body>
</html>
