<?php
defined('BASEPATH') OR exit('No direct script access allowed');


class React_index extends MY_Controller {
//     public function __construct()
// 	{
// 		parent::__construct();
		
// 	}
     
    public function index()
    {
       $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
       
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');
        
         $this->db->select('*');
        $this->db->from('type_web_pages w');
        $this->db->where('w.domain_id',$domain_id);
        $d = $this->db->get();
        $result = $d->row();
        
        $this->data['data'] = array(
            
                'meta_title'  =>  $result->meta_title,
                'meta_desc'  =>  $result->meta_desc,
                'meta_keywords'  =>  $result->meta_keywords,
                // 'meta_index'  =>  $result->meta_index,
                // 'search_console_code'  =>  $result->search_console_code,
                // 'cover_image'  =>  'https://uae-offplan.com/admin.uae-offplan/'.$result->type_cover_image,
                // 'g_tag'  =>  $result->google_analytics_id,
                // 'gtm_tag'  =>  $result->google_tag_manager,
                // 'favicon'  =>  $result->favicon,
            );
            
            $this->load->view('react_index', $this->data);

    }
    public function buy()
    {
         $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
       
        $this->db->where('domain_name', $domain);
        $d = $this->db->get('type_web_pages_domain_list');
        $domain_id = $d->row('domain_id');
        
         $this->db->select('*');
        $this->db->from('type_web_pages w');
        $this->db->where('w.domain_id',$domain_id);
        $d = $this->db->get();
        $result = $d->row();
        
        $this->data['data'] = array(
            
                'meta_title'  =>  $result->buypage_meta_title,
                'meta_desc'  =>  $result->buypage_meta_desc,
                'meta_keywords'  =>  $result->buypage_meta_keywords,
                // 'meta_index'  =>  $result->meta_index,
                // 'search_console_code'  =>  $result->search_console_code,
                // 'cover_image'  =>  'https://uae-offplan.com/admin.uae-offplan/'.$result->type_cover_image,
                // 'g_tag'  =>  $result->google_analytics_id,
                // 'gtm_tag'  =>  $result->google_tag_manager,
                // 'favicon'  =>  $result->favicon,
            );
            
            $this->load->view('react_index', $this->data);
    }
    
    public function blog()
    {
        //  $domain = str_replace(['https://','/'],'',$_SERVER['HTTP_HOST']);
       
        // $this->db->where('domain_name', $domain);
        // $d = $this->db->get('type_web_pages_domain_list');
        // $domain_id = $d->row('domain_id');
        
        //  $this->db->select('*');
        // $this->db->from('type_web_pages w');
        // $this->db->where('w.domain_id',$domain_id);
        // $d = $this->db->get();
        // $result = $d->row();
        
        $this->data['data'] = array(
            
                'meta_title'  =>  '',
                'meta_desc'  =>  '',
                'meta_keywords'  => '',
            );
            
        $this->load->view('react_index', $this->data);
    }
    
    public function listing_detail($slug)
    {
        
        $slug = str_replace("buy/","",$slug);
         $this->db->select('*');
        $this->db->from('property_info i');
        $this->db->where('i.sub_domain_slug',$slug);
        $d = $this->db->get();
        $result = $d->row();
        
         $this->data['data'] = array(
        'meta_title'  =>  $result->types_web_page_listing_detail_meta_title,
        'meta_desc'  =>  $result->types_web_page_listing_detail_meta_desc,
        'meta_keywords'  =>  $result->types_web_page_listing_detail_meta_keywords,
        
        
        
        // 'meta_index'  =>  "",
        // 'search_console_code'  =>  "",
        // 'cover_image'  =>  "",
        // 'g_tag'  =>  "",
        // 'gtm_tag'  =>  "",
        // 'favicon'  =>  "",
            );
            
            $this->load->view('react_index', $this->data);
    }
    
    public function bedroom_listing($slug)
    {
         $this->db->select('*');
        $this->db->from('property_info i');
        $this->db->where('i.sub_domain_bedrooms_slug',$slug);
        $d = $this->db->get();
        $result = $d->row();
        
         $this->data['data'] = array(
        'meta_title'  =>  "Bedroom for sale in Dubai",
        'meta_desc'  =>  "Find the perfect Bedroom for Sale in Dubai. Browse our selection of BHK Flats in all the prime locations in Dubai, UAE.",
        'meta_keywords'  =>  "",
        // 'meta_index'  =>  "",
        // 'search_console_code'  =>  "",
        // 'cover_image'  =>  "",
        // 'g_tag'  =>  "",
        // 'gtm_tag'  =>  "",
        // 'favicon'  =>  "",
            );
            
            $this->load->view('react_index', $this->data);
    }
    
    public function post($param1, $param2)
    {
        //  $this->db->select('*');
        // $this->db->from('property_info i');
        // $this->db->where('i.sub_domain_bedrooms_slug',$slug);
        // $d = $this->db->get();
        // $result = $d->row();
        
         $this->data['data'] = array(
        'meta_title'  =>  "",
        'meta_desc'  =>  "",
        'meta_keywords'  =>  "",

            );
            
            $this->load->view('react_index', $this->data);
    }
    
    public function cat($param)
    {
        //  $this->db->select('*');
        // $this->db->from('property_info i');
        // $this->db->where('i.sub_domain_bedrooms_slug',$slug);
        // $d = $this->db->get();
        // $result = $d->row();
        
         $this->data['data'] = array(
        'meta_title'  =>  "",
        'meta_desc'  =>  "",
        'meta_keywords'  =>  "",

            );
            
            $this->load->view('react_index', $this->data);
    }
    
    
}